using System;
using Eleka;
class HelloWorld
{    
    public static void Main()
    {	
	Miatu mia;
        ResultIterator result;
        String url;
	mia = Miatu.createInstance("tmpdb");
        mia.index("http://www.eleka.net","aaa bbb ccc", "text/plain");
        result = mia.lookup("xxx");
        url = result.next();
        if (url == null){
            Console.WriteLine("Ondo. xxx ez dago indizean.");
        }else{
            Console.WriteLine("Gaizki. xxx indizean dago.");
        }
        Console.WriteLine(url);
        result = mia.lookup("bbb");
        url = result.next();
        Console.WriteLine(url);
        url = result.next();
        if (url == null){
            Console.WriteLine("Ondo. bbb behin dago indizean.");
        }else{
            Console.WriteLine("Gaizki. bbb birritan dago indizean.");
        }
    }
}
